/*******************************************************************************
* File Name: Pin_Seg.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Pin_Seg_ALIASES_H) /* Pins Pin_Seg_ALIASES_H */
#define CY_PINS_Pin_Seg_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"


/***************************************
*              Constants        
***************************************/
#define Pin_Seg_0			(Pin_Seg__0__PC)
#define Pin_Seg_0_INTR	((uint16)((uint16)0x0001u << Pin_Seg__0__SHIFT))

#define Pin_Seg_1			(Pin_Seg__1__PC)
#define Pin_Seg_1_INTR	((uint16)((uint16)0x0001u << Pin_Seg__1__SHIFT))

#define Pin_Seg_2			(Pin_Seg__2__PC)
#define Pin_Seg_2_INTR	((uint16)((uint16)0x0001u << Pin_Seg__2__SHIFT))

#define Pin_Seg_3			(Pin_Seg__3__PC)
#define Pin_Seg_3_INTR	((uint16)((uint16)0x0001u << Pin_Seg__3__SHIFT))

#define Pin_Seg_4			(Pin_Seg__4__PC)
#define Pin_Seg_4_INTR	((uint16)((uint16)0x0001u << Pin_Seg__4__SHIFT))

#define Pin_Seg_5			(Pin_Seg__5__PC)
#define Pin_Seg_5_INTR	((uint16)((uint16)0x0001u << Pin_Seg__5__SHIFT))

#define Pin_Seg_6			(Pin_Seg__6__PC)
#define Pin_Seg_6_INTR	((uint16)((uint16)0x0001u << Pin_Seg__6__SHIFT))

#define Pin_Seg_7			(Pin_Seg__7__PC)
#define Pin_Seg_7_INTR	((uint16)((uint16)0x0001u << Pin_Seg__7__SHIFT))

#define Pin_Seg_INTR_ALL	 ((uint16)(Pin_Seg_0_INTR| Pin_Seg_1_INTR| Pin_Seg_2_INTR| Pin_Seg_3_INTR| Pin_Seg_4_INTR| Pin_Seg_5_INTR| Pin_Seg_6_INTR| Pin_Seg_7_INTR))

#endif /* End Pins Pin_Seg_ALIASES_H */


/* [] END OF FILE */
